osgVolume::CompositeLayer::NameLayer Struct Reference

`#include <Layer>`

## Public Member Functions

| NameLayer ()
| NameLayer (const NameLayer &cnl)
| NameLayer (const std::string &fn, Layer *l)
NameLayer & | operator= (const NameLayer &cnl)

## Public Attributes

std::string | filename
osg::ref_ptr< Layer > | layer

## Constructor & Destructor Documentation

## NameLayer() [1/3]

osgVolume::CompositeLayer::NameLayer::NameLayer | ( |  | ) |

inline

Referenced by NameLayer(), and operator=().

## NameLayer() [2/3]

osgVolume::CompositeLayer::NameLayer::NameLayer | ( | const NameLayer & | cnl | ) |

inline

References filename, layer, and NameLayer().

## NameLayer() [3/3]

osgVolume::CompositeLayer::NameLayer::NameLayer | ( | const std::string & | fn,
|  | Layer * | l )

inline

References filename, osgVolume::Layer::Layer(), and layer.

## Member Function Documentation

## operator=()

NameLayer & osgVolume::CompositeLayer::NameLayer::operator= | ( | const NameLayer & | cnl | ) |

inline

References filename, layer, and NameLayer().

## Member Data Documentation

## filename

std::string osgVolume::CompositeLayer::NameLayer::filename

Referenced by NameLayer(), NameLayer(), and operator=().

## layer

osg::ref_ptr<Layer> osgVolume::CompositeLayer::NameLayer::layer

Referenced by NameLayer(), NameLayer(), and operator=().

The documentation for this struct was generated from the following file:

- osgVolume/Layer